﻿<Project Sdk="Microsoft.NET.Sdk">
  <PropertyGroup>
    <RootNamespace>TUGraz.VectoCore</RootNamespace>
    <AssemblyName>VectoCore</AssemblyName>
    <TargetFrameworks>net48;net6.0</TargetFrameworks>
    <DefineConstants>FCOutput</DefineConstants>
    <Configurations>Debug;Release;MockupDebug;MockupRelease</Configurations>
	<AutoGenerateBindingRedirects>true</AutoGenerateBindingRedirects>
	<GeneratePackageOnBuild>True</GeneratePackageOnBuild>
	  <VersionSuffix Condition="('$(Configuration)' == 'MockupRelease') Or ('$(Configuration)' == 'MockupDebug')">Mockup</VersionSuffix>
  </PropertyGroup>
	<PropertyGroup Condition="'$(Configuration)|$(TargetFramework)|$(Platform)'=='MockupDebug|net48|AnyCPU'">
    <DebugType>full</DebugType>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(TargetFramework)|$(Platform)'=='MockupDebug|net6.0|AnyCPU'">
    <DebugType>full</DebugType>
  </PropertyGroup>
	<PropertyGroup Condition="('$(Configuration)' == 'MockupRelease') Or ('$(Configuration)' == 'MockupDebug')">
		<!--<DefineConstants>TRACE</DefineConstants>-->
	</PropertyGroup>
	<PropertyGroup Condition="'$(Configuration)|$(TargetFramework)|$(Platform)'=='Release|net48|AnyCPU'">
	  <DebugType>none</DebugType>
	</PropertyGroup>
	<PropertyGroup Condition="'$(Configuration)|$(TargetFramework)|$(Platform)'=='Release|net6.0|AnyCPU'">
	  <DebugType>none</DebugType>
	</PropertyGroup>
	<PropertyGroup Condition="'$(Configuration)|$(TargetFramework)|$(Platform)'=='MockupRelease|net48|AnyCPU'"><!--<DebugType>full</DebugType>-->
	
	
	</PropertyGroup>
	<PropertyGroup Condition="'$(Configuration)|$(TargetFramework)|$(Platform)'=='MockupRelease|net6.0|AnyCPU'"><!--<DebugType>full</DebugType>-->
	
	
	</PropertyGroup>
	<PropertyGroup Condition="'$(Configuration)|$(TargetFramework)|$(Platform)'=='Debug|net48|AnyCPU'">
	</PropertyGroup>
	<PropertyGroup Condition="'$(Configuration)|$(TargetFramework)|$(Platform)'=='Debug|net6.0|AnyCPU'">
	</PropertyGroup>

	<!--<Choose>
		<When Condition="$([System.Text.RegularExpressions.Regex]::IsMatch($(DefineConstants), '^(.*;)*MOCKUP(;.*)*$'))">
			<ItemGroup>
				<AssemblyAttribute Include="System.Runtime.CompilerServices.InternalsVisibleToAttribute">
					<_Parameter1>VectoMockup</_Parameter1>
				</AssemblyAttribute>
			</ItemGroup>
			--><!--<PropertyGroup>
				<DefineConstants>MOCKUP</DefineConstants>
			</PropertyGroup>--><!--
		</When>
	</Choose>-->

	<ItemGroup>
    <None Remove="Mockup\MockupResults\CIF_MockupResults_Conv_Bus.xml" />
    <None Remove="Mockup\MockupResults\CIF_MockupResults_Conv_Lorry.xml" />
    <None Remove="Mockup\MockupResults\CIF_MockupResults_non-OVC-HEV_Bus.xml" />
    <None Remove="Mockup\MockupResults\CIF_MockupResults_non-OVC-HEV_Lorry.xml" />
    <None Remove="Mockup\MockupResults\CIF_MockupResults_OVC-HEV_Bus.xml" />
    <None Remove="Mockup\MockupResults\CIF_MockupResults_OVC-HEV_Lorry.xml" />
    <None Remove="Mockup\MockupResults\CIF_MockupResults_PEV_Bus.xml" />
    <None Remove="Mockup\MockupResults\CIF_MockupResults_PEV_Lorry.xml" />
    <None Remove="Mockup\MockupResults\MRF_MockupResults_Conv_Bus.xml" />
    <None Remove="Mockup\MockupResults\MRF_MockupResults_Conv_Lorry.xml" />
    <None Remove="Mockup\MockupResults\MRF_MockupResults_Error.xml" />
    <None Remove="Mockup\MockupResults\MRF_MockupResults_non-OVC-HEV_Bus.xml" />
    <None Remove="Mockup\MockupResults\MRF_MockupResults_non-OVC-HEV_Lorry.xml" />
    <None Remove="Mockup\MockupResults\MRF_MockupResults_OVC-HEV_Bus.xml" />
    <None Remove="Mockup\MockupResults\MRF_MockupResults_OVC-HEV_Lorry.xml" />
    <None Remove="Mockup\MockupResults\MRF_MockupResults_PEV_Bus.xml" />
    <None Remove="Mockup\MockupResults\MRF_MockupResults_PEV_Lorry.xml" />
    <None Remove="Mockup\MockupResults\VIF_MockupResults_Conv_Bus.xml" />
    <None Remove="Mockup\MockupResults\VIF_MockupResults_non-OVC-HEV_Bus.xml" />
    <None Remove="Mockup\MockupResults\VIF_MockupResults_OVC-HEV_Bus.xml" />
    <None Remove="Mockup\MockupResults\VIF_MockupResults_PEV_Bus.xml" />
    <None Remove="Resources\Declaration\Buses\DefaultActuationsMap.apac" />
    <None Remove="Resources\Declaration\Buses\HeatingDistribution.csv" />
    <None Remove="Resources\Declaration\Buses\HeatingDistributionCases.csv" />
    <None Remove="Resources\Declaration\Buses\HVACHeatingPowerDriver.csv" />
    <None Remove="Resources\Declaration\Buses\HVACHeatingPowerPassenger.csv" />
    <None Remove="resources\declaration\buses\SmartES_Limits.csv" />
    <None Remove="Resources\Declaration\IMC-Tech.csv" />
    <None Remove="Resources\Declaration\VAUXBus\DEFAULT_1-Cylinder_1-Stage_393ccm.acmp" />
    <None Remove="Resources\Declaration\VAUXBus\DEFAULT_2-Cylinder_1-Stage_650ccm.acmp" />
    <None Remove="Resources\Declaration\VAUXBus\DEFAULT_2-Cylinder_2-Stage_398ccm.acmp" />
    <None Remove="Resources\Declaration\VAUXBus\DEFAULT_3-Cylinder_2-Stage_598ccm.acmp" />
    <None Remove="Resources\Declaration\VehicleOperation\InMotionShareGroundRailWireless.csv" />
    <None Remove="Resources\Declaration\VehicleOperation\RealWorldUsageFactors.csv" />
    <None Remove="Resources\Declaration\WheelEndFriction.csv" />
    <None Remove="Resources\MockupCIFResults.xml" />
    <None Remove="Resources\MockupMRFResults.xml" />
    <None Remove="Resources\XSD\VectoDeclarationDefinitions.2.2.1.xsd" />
    <None Remove="Resources\XSD\VectoMonitoring.1.0.xsd" />
    <None Remove="Resources\XSD\VectoDeclarationDefinitions.DEV.2.6.xsd" />
    <None Remove="Resources\XSD\VectoOutputPrimaryBus.xsd" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Newtonsoft.Json" Version="13.0.3" />
    <PackageReference Include="Ninject" Version="3.3.6" />
    <PackageReference Include="Ninject.Extensions.ContextPreservation" Version="3.3.1" />
    <PackageReference Include="Ninject.Extensions.Factory" Version="3.3.3" />
    <PackageReference Include="NLog" Version="4.7.13" />
    <PackageReference Include="System.Collections" Version="4.3.0" />
    <PackageReference Include="System.Data.DataSetExtensions" Version="4.5.0" />
</ItemGroup>

  <ItemGroup Condition="'$(TargetFramework)'=='net48'">
    <Reference Include="Microsoft.VisualBasic" />
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Windows.Forms.DataVisualization" />
    <PackageReference Include="System.ComponentModel.Annotations" Version="5.0.0" />
  </ItemGroup>

  <ItemGroup>
	<InternalsVisibleTo Include="VectoXML" />
    <InternalsVisibleTo Include="XMLTest" />
    <InternalsVisibleTo Include="VECTO" />
    <InternalsVisibleTo Include="VectoCoreTest" />
    <InternalsVisibleTo Include="VectoAPITest" />
    <InternalsVisibleTo Include="VectoXML" />
    <InternalsVisibleTo Include="XMLTest" />
    <InternalsVisibleTo Include="VECTO_GIT" />
    <InternalsVisibleTo Include="VectoAuxiliariesTests" />
    <InternalsVisibleTo Include="VECTO3" />
    <InternalsVisibleTo Include="VECTOMultistep" />
    <InternalsVisibleTo Include="VectoMockup" />
    <InternalsVisibleTo Include="Vecto3GUI2020Test" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\..\VectoCommon\VectoCommon\VectoCommon.csproj">
	</ProjectReference>
    <ProjectReference Include="..\..\VectoCommon\VectoHashing\VectoHashing.csproj">
	</ProjectReference>
  </ItemGroup>

  <ItemGroup>
    <EmbeddedResource Include="Resources\Declaration\**\*.*" />
  </ItemGroup>

  <ItemGroup>
    <EmbeddedResource Include="Resources\XSD\*.xsd">
      <SubType>Designer</SubType>
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </EmbeddedResource>
  </ItemGroup>

  <ItemGroup>
    <!--<EmbeddedResource Include="Mockup\MockupResults">
        <LogicalName>TUGraz.VectoMockup.MockupResults</LogicalName>
	</EmbeddedResource>-->
	<EmbeddedResource Include="Mockup\MockupResults\CIF_MockupResults_Conv_Bus.xml" />
    <EmbeddedResource Include="Mockup\MockupResults\CIF_MockupResults_Conv_Lorry.xml" />
    <EmbeddedResource Include="Mockup\MockupResults\CIF_MockupResults_non-OVC-HEV_Bus.xml" />
    <EmbeddedResource Include="Mockup\MockupResults\CIF_MockupResults_non-OVC-HEV_Lorry.xml" />
    <EmbeddedResource Include="Mockup\MockupResults\CIF_MockupResults_OVC-HEV_Bus.xml" />
    <EmbeddedResource Include="Mockup\MockupResults\CIF_MockupResults_OVC-HEV_Lorry.xml" />
    <EmbeddedResource Include="Mockup\MockupResults\CIF_MockupResults_PEV_Bus.xml" />
    <EmbeddedResource Include="Mockup\MockupResults\CIF_MockupResults_PEV_Lorry.xml" />
    <EmbeddedResource Include="Mockup\MockupResults\MRF_MockupResults_Conv_Bus.xml" />
    <EmbeddedResource Include="Mockup\MockupResults\MRF_MockupResults_Conv_Lorry.xml" />
    <EmbeddedResource Include="Mockup\MockupResults\MRF_MockupResults_Error.xml" />
    <EmbeddedResource Include="Mockup\MockupResults\MRF_MockupResults_non-OVC-HEV_Bus.xml" />
    <EmbeddedResource Include="Mockup\MockupResults\MRF_MockupResults_non-OVC-HEV_Lorry.xml" />
    <EmbeddedResource Include="Mockup\MockupResults\MRF_MockupResults_OVC-HEV_Bus.xml" />
    <EmbeddedResource Include="Mockup\MockupResults\MRF_MockupResults_OVC-HEV_Lorry.xml" />
    <EmbeddedResource Include="Mockup\MockupResults\MRF_MockupResults_PEV_Bus.xml" />
    <EmbeddedResource Include="Mockup\MockupResults\MRF_MockupResults_PEV_Lorry.xml" />
    <EmbeddedResource Include="Mockup\MockupResults\VIF_MockupResults_Conv_Bus.xml" />
    <EmbeddedResource Include="Mockup\MockupResults\VIF_MockupResults_non-OVC-HEV_Bus.xml" />
    <EmbeddedResource Include="Mockup\MockupResults\VIF_MockupResults_OVC-HEV_Bus.xml" />
    <EmbeddedResource Include="Mockup\MockupResults\VIF_MockupResults_PEV_Bus.xml" />
  </ItemGroup>

  <ItemGroup>
    <Compile Update="JSONKeys.Designer.cs">
      <DesignTime>True</DesignTime>
      <AutoGen>True</AutoGen>
      <DependentUpon>JSONKeys.resx</DependentUpon>
    </Compile>
    <Compile Update="OutputData\XML\GroupWriter\Declaration\GroupNames.Designer.cs">
      <DesignTime>True</DesignTime>
      <AutoGen>True</AutoGen>
      <DependentUpon>GroupNames.resx</DependentUpon>
    </Compile>
    <EmbeddedResource Update="JSONKeys.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>JSONKeys.Designer.cs</LastGenOutput>
    </EmbeddedResource>
    <EmbeddedResource Update="OutputData\XML\GroupWriter\Declaration\GroupNames.resx">
      <Generator>PublicResXFileCodeGenerator</Generator>
      <LastGenOutput>GroupNames.Designer.cs</LastGenOutput>
    </EmbeddedResource>
  </ItemGroup>

  <ItemGroup>
    <Folder Conidition="('$(Configuration)' == 'MockupRelease') Or ('$(Configuration)' == 'MockupDebug')" Include="Mockup\" />
  </ItemGroup>

  

</Project>